
local status = KiwiPlates:newStatus( 'classification' )
local Notify = KiwiPlates.Notify

local tonumber = tonumber

local function Update(bPlate)
	local type, level, levelText
	levelText = bPlate.bLevelText:GetText()
	level = tonumber(levelText) or 103
	if bPlate.ArtContainer:GetScale() < 1 then
		type = 'trivial'
	elseif bPlate.bBossIcon:IsVisible() then
		type, levelText = 'boss', '??'
	else
		local bEliteIcon = bPlate.bEliteIcon
		if bEliteIcon:IsVisible() then
			if bEliteIcon:GetTexture() == "Interface\\Tooltips\\EliteNameplateIcon" then
				type, levelText = 'elite', levelText .. '+'
			else
				type, levelText = 'rare', levelText .. 'r'
			end
		else
			local r, g, b = bPlate.bHealthBar:GetStatusBarColor()
			if (not (r>0.9 and b<0.1)) and (not (g>0.9 and b<0.1)) and (not (r<0.6 and r+g==r+b)) then
				type = 'player'
			else
				type = 'normal'
			end
		end
	end
	bPlate.vType = type
	bPlate.vLevel = level
	bPlate.vLevelText = levelText
end

function status:OnEnable(addon, dbx)
	addon.RegisterNotify( 'bPlateShow', Update )
end

function status:OnDisable(addon)
	addon.UnregisterNotify( 'bPlateShow', Update )
end
