local defaults = KiwiPlates.defaults
local fonts    = defaults.fonts
local color    = defaults.color
local colors   = defaults.colors

if  ({ruRU = true, zhTW = true, zhCN = true, koKR = true })[GetLocale()] then
	fonts.STANDARD = STANDARD_TEXT_FONT
	fonts.SMALL    = STANDARD_TEXT_FONT
else
	fonts.STANDARD = 'FrancoisOne'
	fonts.SMALL    = 'Yanone Kaffesatz Bold'
end

color.transparent = { 0,0,0,0 }
color.white       = { 1,1,1,1 }
color.black       = { 0,0,0,1 }
color.red         = { 1,0,0,1 }
color.green       = { 0,1,0,1 }
color.blue        = { 0,0,1,1 }

colors.Classification = { 
	trivial = { .6,.6,.6 },
	normal  = { 0,.7,0 },
	rare    = { 1,0,.8 },
	elite   = { 1,1,0 },
	boss    = { 1,0,0 },
	player  = { 0,.85,1 },
}

colors.Reaction = { 
	friendly       = { 0,.75,0   },
	hostile        = { .85,0,0   },
	neutral        = { .85,.85,0 },
	tapped         = { .7,.7,.7  },
	playerfriendly = { 0,.75,1   },
}

colors.Threat = { 
	tanked    = { 1, 0, 0, .8 },		
	offtanked = { 0,.7, 1, .8 },
	aggroed   = { 1,.5, 0, .8 },
}

colors.ThreatTank = { 
	tanked    = { 0,.75, 0, 1 },		
	offtanked = { 0, .7, 1, 1 },
	aggroed   = { 1, .5, 0, 1 },
}

do
	local class = {}
	colors.Class = class
	for n, c in next, RAID_CLASS_COLORS do
		class[n] = { c.r, c.g, c.b, 1 }
	end
end	
