local media = LibStub("LibSharedMedia-3.0", true)
local widget = KiwiPlates:newWidget( 'LevelText', { 'classification' } )

local unpack = unpack

local function Show(kPlate,bPlate)
	local LevelText = kPlate.LevelText
	if LevelText then
		LevelText:SetText( bPlate.vLevelText )
	end	
end

local function Create(kPlate)
	local db = kPlate.db.LevelText
	if db then
		local LevelText = kPlate.LevelText or kPlate:CreateFontString(nil, "ARTWORK") 
		LevelText:SetFont( media:Fetch('font', db.fontName), db.fontSize, db.fontFlags)
		LevelText:SetTextColor( unpack(db.fontColor) )		
		LevelText:SetSize( db.width or kPlate.width, db.height or kPlate.height)
		LevelText:SetJustifyH( db.JustifyH )
		LevelText:SetJustifyV( db.JustifyV )	
		LevelText:SetPoint( 'CENTER', db.left or 0, db.top or 0 )
		LevelText.SetColor = db.acceptColors and LevelText.SetTextColor or nil
		kPlate.LevelText = LevelText
	end	
end

function widget:OnEnable(addon)
	addon.RegisterNotify( 'PlateCreate', Create )
	addon.RegisterNotify( 'PlateShow',Show )
end

function widget:OnDisable(addon)
	addon.UnregisterNotify( 'PlateCreate', Create )
	addon.UnregisterNotify( 'PlateShow', Show )
end
