local Options = KiwiPlatesOptions

local options = {}

options.header1 = { type = 'header', name = 'Opaque nameplates', order= 0 }

options.opaqueTarget = {
	type = 'toggle',
	width = 'full',
	order = 1,
	name = 'Target nameplate',
	desc = "Target nameplate is always full opaque. This option cannot be changed.",
	get = function() return true end,
}

options.opaqueWhenNoTarget = {
	type = 'toggle',
	width = 'full',		
	order = 2,
	name = 'All nameplates if no target exists',
	desc = "All nameplates full opaque if target does not exist",
}

options.header2 = { type = 'header', name = 'Color & Brightness', order= 20, }

options.glowColor = {
	name = 'Target Color',
	desc = 'Target Color',
	type = 'color',
	width = 'normal',
	hasAlpha = true,
	order = 21,
}	

options.brightness = {
	type = 'range',
	name = 'Brightness',
	order = 22,
	step = 0.01,
	min = 0,
	max = 1,
	isPercent = true,
	arg = { 0.15 },
}


Options:MakeColorReceiversOptions(options)

Options:RegisterModuleOptions( 'Target', options, { order = 10 }  )

Options:RegisterModuleDefaults( 'Target', {
	glowColor    = { 0, .8, 1, 1 },
	colorReceivers = {},
	colorPriority = 7,
	opaqueWhenNoTarget = true,
})
